package com.evanamargain.android.myshoppinglist.View;

import androidx.appcompat.app.AppCompatActivity;
import androidx.lifecycle.ViewModelProviders;

import android.os.Bundle;
import android.view.View;
import android.widget.ArrayAdapter;
import android.widget.ListView;
import android.widget.ProgressBar;

import com.evanamargain.android.myshoppinglist.R;
import com.evanamargain.android.myshoppinglist.ViewModel.MainActivityViewModel;

public class MainActivity extends AppCompatActivity {

  @Override
  protected void onCreate(Bundle savedInstanceState) {
    super.onCreate(savedInstanceState);
    setContentView(R.layout.activity_main);

    ListView listView = (ListView) findViewById(R.id.list);
    ProgressBar progressBar = (ProgressBar) findViewById(R.id.progressbar);
    progressBar.setVisibility(View.VISIBLE);

    MainActivityViewModel model = ViewModelProviders.of(this).get(MainActivityViewModel.class);

    model.getShoppingList().observe(this, shoppingList -> {
      // update UI
      ArrayAdapter<String> adapter = new ArrayAdapter<>(this,
          android.R.layout.simple_list_item_1, android.R.id.text1, shoppingList);
      // Assign adapter to ListView
      listView.setAdapter(adapter);
      progressBar.setVisibility(View.GONE);
    });
  }
}
